apiVersion: v1
kind: Pod
metadata:
  labels:
    app: service-master
  name: service-master
spec:
  containers:  
  - image: localhost:32000/service-master:latest
    imagePullPolicy: Always
    name: service-master-cont
    resources:       
       # Maximum amount pod can grow upto
      limits:
        memory: "500Mi" # Incomppressable / can-not be throttled
        cpu: "200m" # Compressable resource
      # Minimum amount of resources required
      requests: 
        cpu: "100m"
        memory: "100Mi"
    ports:
      - containerPort: 3000    
    livenessProbe:
      httpGet:
        path: "/_healthz"
        port: 3000      
      failureThreshold: 1      
      successThreshold: 1
      periodSeconds: 10
      timeoutSeconds: 1      
      initialDelaySeconds: 0
    startupProbe:
      httpGet:
        path: "/_startup"
        port: 3000      
      failureThreshold: 30
      periodSeconds: 3      
    envFrom:
      - configMapRef:
          name: service-master-cfg

  dnsPolicy: ClusterFirst
  restartPolicy: Always
status: {}

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: service-master
  name: service-master-np
spec:
  ports:
  - name: "3000"
    port: 3000
    protocol: TCP
    targetPort: 3000
    nodePort: 32007
  selector:
    app: service-master
  type: NodePort
status:
  loadBalancer: {}    

---
apiVersion: v1
kind: Service
metadata:  
  labels:
    app: service-master
  name: service-master
spec:
  ports:
  - name: 3000-3001
    port: 3007
    protocol: TCP
    targetPort: 3000
  selector:
    app: service-master
  type: ClusterIP
status:
  loadBalancer: {}      
---
apiVersion: v1
kind: ConfigMap
metadata:  
  name: service-master-cfg
data:    
  NODE_ENV: "Production"
  OFL_MED_CFGPOOLINT: "10"
  OFL_MED_CONTEXT_ROOT: "/usermanagement"
  OFL_MED_DB_CONNSTR: "oracle-db.medulla.svc.cluster.local:49161/XE"
  OFL_MED_DB_MAXPOOL: "10"
  OFL_MED_DB_MINPOOL: "3"
  OFL_MED_DB_PASS: "m!sc@tal0g"
  OFL_MED_DB_POOLINC: "1"
  OFL_MED_DB_TYPE: "ORA"
  OFL_MED_DB_USER: "miscatalog"
  OFL_MED_NODE_ENV: "info"
  OFL_MED_PORT: "3000"         